#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.2.2
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Enterprise Virtualization
Name:		rhevm-log-collector
Version:	3.2.2
Release:	6%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/3.2/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	rhevm-sdk
Requires:	logrotate
Requires:	sos
Requires:	openssh-clients
BuildRequires:	python2-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gettext-devel

Patch1: 0001-config-added-backward-compatibilty.patch
Patch2: 0002-config-avoid-to-change-existing-configuration-files.patch
Patch3: 0003-config-use-.pgpass-for-db-password.patch
Patch4: 0004-log-default-logging-to-timestamped-files.patch
Patch5: 0005-packaging-spec-requires-openssh-clients.patch

%description
Log Collector tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
./autogen.sh
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhevm-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhevm-log-collector.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_log_collector/*.py*
%{python_sitelib}/ovirt_log_collector/helper/*.py*
%{python_sitelib}/sos/plugins/*.py*
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhevm-log-collector

%changelog
* Mon Oct 07 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.2-6
Resolves:  BZ#1015757

* Tue Oct  1 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.2-5
Resolves: BZ#1009116

* Mon Jul 22 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.2-4
Resolves: BZ#973410

* Thu Jun 06 2013 Eyal Edri <eedri@redhat.com> - 3.2.2-3
Resolves: BZ#968910

* Mon Jun 03 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.2-2
Resolves: BZ#968910

* Thu Apr 18 2013 Kiril Nesenko <knesenko@redhat.com> -3.2.2-1
Resolves: BZ#918020

* Wed Apr 10 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-3
Resolves: BZ#889192, BZ#918020, BZ#922535, BZ#886052

* Sun Mar 31 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-2
Resolves: BZ#918020,BZ#886052,BZ#885421,BZ#788993

* Sun Feb 17 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-1
- Release.

* Tue Feb 5 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.1.beta
- 3.2.0-0.1.beta
